## EXPORT_SPEC int UpnpRegisterClient

## ( IN Upnp_FunPtr Callback,
IN const void* Cookie,
OUT UpnpClient_Handle* Hnd )

> UpnpRegisterClient registers a control point application with the SDK.

## Documentation

> UpnpRegisterClient registers a control point application with the SDK. A control point application cannot make any other API calls until it registers using this function.

> UpnpRegisterClient is a synchronous call and generates no callbacks. Callbacks can occur as soon as this function returns.

Parameters:
  Callback - Pointer to a function for receiving asynchronous events.
  Cookie - Pointer to user data returned with the callback function when invoked.
  Hnd - Pointer to a variable to store the new control point handle.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_FINISH`: The SDK is already terminated or is not initialized.
  - `UPNP_E_INVALID_PARAM`: Either Callback or Hnd is not a valid pointer.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to register this control point.

Alphabetic index

This page was generated with the help of DOC++.